Bug 572097 - Rpmlint should check if there isn't two binaries with same name in the standard binary directories
Rpmlint should check if there isn't two binaries with same name in the standa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-10 04:27 EST by Radek Novacek
Modified: 2016-11-30 19:29 EST (History)
5 users (show)

See Also:
Fixed In Version: rpmlint-0.97-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 18:00:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch that adds check for duplicates in binary directories (2.17 KB, patch)
2010-03-10 04:27 EST, Radek Novacek
no flags Details | Diff

  None (edit)
Description Radek Novacek 2010-03-10 04:27:39 EST
Created attachment 399041 [details]
Proposed patch that adds check for duplicates in binary directories

It can cause serious trouble if there were two executable files with same name in the standard binary directories (for example if user changes his $PATH). Rpmlint should check it to prevent some issues.
Comment 1 Ville Skyttä 2010-03-18 17:10:31 EDT
Thanks, modified version of the patch applied upstream:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1745
Comment 2 Fedora Update System 2010-05-18 16:21:07 EDT
rpmlint-0.97-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rpmlint-0.97-1.fc13
Comment 3 Fedora Update System 2010-05-18 16:22:16 EDT
rpmlint-0.97-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmlint-0.97-1.fc12
Comment 4 Fedora Update System 2010-05-28 14:03:55 EDT
rpmlint-0.97-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-06-04 14:46:56 EDT
rpmlint-0.97-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.